/*
*  NewsManDlgs2.h
*  Copyright  1999-2006 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef NewsManDlgs2H
#define NewsManDlgs2H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
bool __fastcall RunNewsProfileManager2(TForm *Owner, TStrings *Accts, bool &getnewsnow);
bool __fastcall RunNewsProfileManagerNoGet2(TForm *Owner, TStrings *Accts);

class TNewsManDlg2 : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TListBox *AccountList;
        TButton *NewBtn;
        TButton *EditBtn;
        TButton *DeleteBtn;
        TBitBtn *GetBtn;
        TLabel *Label1;
        TButton *HelpBtn;
        void __fastcall NewBtnClick(TObject *Sender);
        void __fastcall EditBtnClick(TObject *Sender);
        void __fastcall AccountListClick(TObject *Sender);
        void __fastcall DeleteBtnClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall AccountListDrawItem(TWinControl *Control, int Index,
        TRect &Rect, TOwnerDrawState State);
private:	// User declarations
public:		// User declarations
        bool modified, getnewsnow, allowget;
        virtual __fastcall TNewsManDlg2(TComponent* Owner);
        virtual __fastcall TNewsManDlg2(TComponent* Owner, TStrings *Accts);
        __fastcall ~TNewsManDlg2();
};

//---------------------------------------------------------------------------
const AnsiString NewsProfilesKey2 = "newprofiles";
extern TNewsManDlg2 *NewsManDlg2;
//---------------------------------------------------------------------------
#endif
