/*
*  View.h
*  Copyright  1999-2006 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef ViewH
#define ViewH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall view(TStrings *Text, AnsiString Caption="View Text");
void __fastcall view(AnsiString Text, AnsiString Caption="View Text");

class TViewDlg : public TForm
{
__published:	// IDE-managed Components
  TRichEdit *ViewText;
	TPanel *Panel1;
	TButton *OkBtn;
	void __fastcall FormResize(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TViewDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TViewDlg *ViewDlg;
//---------------------------------------------------------------------------
#endif
