/*
*  newsubdlgs.h
*  Copyright  1999-2006 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef newsubdlgsH
#define newsubdlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall NewSubjectManual(TForm* Owner, const AnsiString &newsgroup);
AnsiString __fastcall EditSubjectManual(TForm* Owner, AnsiString Line);
AnsiString __fastcall ViewSubject(TForm* Owner, const AnsiString Line);


class TNewSubDlg : public TForm
{
__published:	// IDE-managed Components
        TEdit *Group;
        TEdit *Subject;
        TEdit *Passwd;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        __fastcall TNewSubDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TNewSubDlg *NewSubDlg;
//---------------------------------------------------------------------------
#endif
